require 'tmpdir'
ENV['BUNDLE_GEMFILE'] = '/dev/null'
require 'bundler'
require './test/minitest_runner.rb'

ARGV.push '--verbose'

$EXCLUDES = [
  'test/minitest_runner_test.rb'
]
if ENV['AUTOPKGTEST_TMP']
  $EXCLUDES += [
    'test/commands/frame_test.rb',
    'test/commands/finish_test.rb',
    'test/commands/next_test.rb',
  ]
end

class Byebug::MinitestRunner
  def all_test_suites
    Dir.glob("test/**/*_test.rb") - $EXCLUDES
  end
end

rc = 0
Dir.mktmpdir do |home|
  ENV['HOME'] = home
  rc = 1 unless Byebug::MinitestRunner.new.run
end

exit rc
